Bug 233709 - security/py-yubikey-manager: Add missing (required) dependencies
Summary: security/py-yubikey-manager: Add missing (required) dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vinícius Zavam
URL: https://reviews.freebsd.org/D18419
Keywords: easy, patch
Depends on:
Blocks: 233708 233743
  Show dependency treegraph
 
Reported: 2018-12-02 06:23 UTC by Daniel Shafer
Modified: 2018-12-04 13:32 UTC (History)
5 users (show)

See Also:
egypcio: maintainer-feedback+
koobs: merge-quarterly?


Attachments
updated py-yubikey-manager port. (945 bytes, text/plain)
2018-12-02 06:23 UTC, Daniel Shafer
no flags Details
security/py-yubikey-manager: Add missing (required) dependencies (1.42 KB, patch)
2018-12-03 10:29 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Shafer 2018-12-02 06:23:51 UTC
Created attachment 199731 [details]
updated py-yubikey-manager port.

I am working on getting all the Yubico suite of applications ported to FreeBSD.

I am more than happy to take maintainership of this port to be consistent with them all but do not wish to step over anyone's feet.

I had to update the port to add missing dependencies when running other applications like yubioath-desktop and yubioath CLI.

This adds py-openssl, and py-fido2 as dependencies.
Comment 1 Bugzilla Automation freebsd_committer 2018-12-02 06:23:51 UTC
Maintainer informed via mail
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-03 05:17:04 UTC
Assign to MAINTAINER (recently new committer, recently changed email address)

@Vinícius Please update your port MAINTAINER lines to use your new email address so that it matches the account Bugzilla email.

> I had to update the port to add missing dependencies when running other
> applications like yubioath-desktop and yubioath CLI.

If the packages (yubioath-desktop, yubioath CLI, et al) that require these dependencies are in ports (or they are being ported), they should themselves depend on their respective requirements (setup.py:*_requires), rather than declared here, unless they are also explicit/actual requirements for this python package too. 

If this python package actually *requires* (compulsory, not optional) these dependencies too, this change actually 'fixes' dependencies (fixes dependency bugs), and the change should be merged to the quarterly branch to fix the missing dependencies there too.
Comment 3 Daniel Shafer 2018-12-03 05:21:38 UTC
If you look here:
https://github.com/Yubico/yubikey-manager/blob/master/setup.py

The depends I added are hard depends for the python library.  So this actually fixes the depends as you mentioned.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-03 05:35:09 UTC
After discussing with Daniel on IRC, it's clear these are just missing and required dependencies. 

Functionality provided by this package is broken without them, so these changes should be merged to quarterly too.

That third party packages need them is an implicitly necessary condition, so remove it from the title as it distracts from the main issue.

Thank you for clarifying Daniel.

P.S. If this package contains unit tests, I would strongly suggest/recommend adding TEST_DEPENDS and a test target to this port to pickup more runtime oriented failures, and to further up the quality/QA of this popular package.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-03 05:37:54 UTC
These changes are also blanket approval candidates:

Approved by: portmgr (blanket: dependency bugs)
Comment 6 Vinícius Zavam freebsd_committer 2018-12-03 09:03:06 UTC
Hello everyone,
hi.

I am waiting for 2 patches to get approved in order to change my MAINTAINER info in all other ports I keep. That's why you still see my old address on this one; I am working on it! D18341 and D17995

koobs@,
adding my mentors here in CC so I get their 'OK' to commit this one. right? thanks! should the portsmgr's blanket be accepted too, just tell me.

PS: thank you very much for your patch Daniel. very appreciated!
Comment 7 Vinícius Zavam freebsd_committer 2018-12-03 10:29:25 UTC
Created attachment 199789 [details]
security/py-yubikey-manager: Add missing (required) dependencies

slightly modified version of the original patch;

  - bumped PORTREVISION;
  - sorted RUN_DEPENDS.

looks good, and builds just fine on 11 and 12 (i386+amd64).

portlint is also happy :)
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-03 10:46:04 UTC
(In reply to Vinícius Zavam from comment #6)

Correct, maintainer approval is required when under mentorship (until 'implicit')

I declared the portmgr blanket in the event you (maintainer) couldn't take care of it within the maintainer timeout window and to let anyone following that it was 'OK' to take (maintainer approval not explicitly required for this change).

For this change, the PORTREVISION also needs bumping so that the new dependencies are registered/installed to fix the broken runtime
Comment 9 Vinícius Zavam freebsd_committer 2018-12-03 11:16:48 UTC
building fine also for armv6; tested with 11.2 and 12.0.
Comment 10 commit-hook freebsd_committer 2018-12-04 10:44:40 UTC
A commit references this bug:

Author: egypcio
Date: Tue Dec  4 10:44:06 UTC 2018
New revision: 486592
URL: https://svnweb.freebsd.org/changeset/ports/486592

Log:
  security/py-yubikey-manager: add missing (required) dependencies

    - add missing depends to RUN_DEPENDS;
    - add concurrent to USE_PYTHON, remove flavors;
    - bump PORTREVISION.

  PR:		233709
  Submitted by:	Daniel Shafer <daniel % shafer.cc>
  Reviewed by:	koobs
  Approved by:	araujo (mentor)
  MFH:		2018Q4
  Differential Revision:	https://reviews.freebsd.org/D18419

Changes:
  head/security/py-yubikey-manager/Makefile
Comment 11 Vinícius Zavam freebsd_committer 2018-12-04 10:46:03 UTC
commited!

thank you Daniel, koobs@ and araujo@.
Comment 12 commit-hook freebsd_committer 2018-12-04 13:32:48 UTC
A commit references this bug:

Author: egypcio
Date: Tue Dec  4 13:32:09 UTC 2018
New revision: 486597
URL: https://svnweb.freebsd.org/changeset/ports/486597

Log:
  MFH: r486592

  security/py-yubikey-manager: add missing (required) dependencies

    - add missing depends to RUN_DEPENDS;
    - add concurrent to USE_PYTHON, remove flavors;
    - bump PORTREVISION.

  PR:		233709
  Submitted by:	Daniel Shafer <daniel % shafer.cc>
  Reviewed by:	koobs
  Approved by:	araujo (mentor), miwi (ports-secteam)
  Differential Revision:	https://reviews.freebsd.org/D18419

  Approved by:	ports-secteam

Changes:
_U  branches/2018Q4/
  branches/2018Q4/security/py-yubikey-manager/Makefile